<div class="fieldset-legend">

	<p-accordion class="filter-accordion">
		<p-accordionTab header="Filter" [selected]="true">
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<label class="form-control-label" for="field_salesman">Sales</label>
						<select class="form-control" id="field_salesman" name="salesman">
							<option [ngValue]="null"></option>
							<option [ngValue]="salesmanOption.idSalesman" *ngFor="let salesmanOption of salesmans; trackBy: trackSalesmanById">{{salesmanOption.partyName}}</option>
						</select>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_tanggalPengajuan">Tanggal Kirim Biro Jasa</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<div class="form-group">
						<label class="form-control-label" for="field_statusType">Status</label>
						<select class="form-control" id="field_statusType" name="statusType">
							<option [ngValue]="null"></option>
							<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
						</select>
					</div>
				</div>
			</div>
			<div class="btn-filter-wrapper">
				<button type="button" class="btn btn-primary btn-filter">
					<span>Filter</span>
				</button>
			</div>
		</p-accordionTab>
	</p-accordion>

	<p-dataTable
		[value]="vehicleDocumentRequirements"
		[editable]="true"
		[rows]="itemsPerPage"
		[paginator]="true"
		[pageLinks]="5"
		[rowsPerPageOptions]="[10,15,20]"
		[totalRecords]="totalItems"
		[responsive]="true"
		[lazy]="true"
		dataKey="idRequirement"
		expandableRows="false"
		(onLazyLoad)="loadDataLazy($event)"
		(onEditComplete)="updateRowData($event)">
		<p-header>

		</p-header>
		<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
		<p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
			<ng-template let-rowIndex="rowIndex" pTemplate="body">
				{{rowIndex + 1}}
			</ng-template>
		</p-column>
		<p-column header="No. Faktur">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.fakturATPM}}
			</ng-template>
		</p-column>
		<p-column header="No. IVU" [style]="{'width': '120px', 'text-align': 'right'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.ivuNumber}}
			</ng-template>
		</p-column>
		<p-column header="Nama STNK" [style]="{'width': '120px', 'text-align': 'right'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- <div *ngIf="rowData.personOwner.name != null" >
						{{rowData.personOwner.name }}
				</div>
				<div *ngIf="rowData.organizationOwner.name != null" >
						{{rowData.organizationOwner.name }}
				</div> -->
			</ng-template>
		</p-column>
		<p-column header="No. Mesin" [style]="{'width': '120px', 'text-align': 'right'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicle.idMachine}}
			</ng-template>
		</p-column>
		<p-column header="AR (Rp.)">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- <div *ngIf="rowData.surId">
					{{rowData.surId}}
				</div> -->
			</ng-template>
		</p-column>
		<p-column header="Sales">
			<ng-template let-rowData="rowData" pTemplate="body">
					{{rowData.salesName}}
			</ng-template>
		</p-column>
		<p-column header="Note">
			<ng-template let-rowData="rowData" pTemplate="body">
					{{rowData.note}}
			</ng-template>
		</p-column>
		<p-column header="Status">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- <div *ngIf="rowData.surId">
					{{rowData.surId}}
				</div> -->
			</ng-template>
		</p-column>
		<p-column header="{{'mpmApp.vehicleDocumentRequirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				<a (click)="kirimBiro(rowData.idRequirement)">Kirim Biro Jasa</a>
			</ng-template>
		</p-column>
		<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
		</ng-template>
	</p-dataTable>
</div>